Bug 150995 - segfault
segfault
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-13 13:39 EST by John Ellson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-18 11:37:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2005-03-13 13:39:11 EST
Description of problem:
sendmail segfault reported in /var/log/messages immediately after restart

Version-Release number of selected component (if applicable):
sendmail-8.13.3-1.2
kernel-2.6.11-1.1177_FC4

How reproducible:
100%

Steps to Reproduce:
1.service sendmail restart
2.
3.
  
Actual results:
Mar 13 13:34:41 ontap kernel: sendmail[10879]: segfault at
0000000000000369 rip 00002aaaabbaefb5 rsp 00007ffffffec340 error 4


Expected results:


Additional info:
Comment 1 Thomas Woerner 2005-03-17 10:30:29 EST
Please test the new sendmail-8.13.3-2 in rawhide. It is a rebuild with a newer
gcc-4 version.

If this does not help, please do the following:
echo 0 > /proc/sys/kernel/exec-shield-randomize

Please report if this fixes this porblem.
Comment 2 John Ellson 2005-03-18 09:18:30 EST
No more segfault on x86_64 with sendmail-8.13.3-2, with or without disabling
exec-shield-randomize.

I see you also fixed the dependency on bind-libbind-devel which I was just about
to report.

Thanks
Comment 3 Thomas Woerner 2005-03-18 11:37:37 EST
Ok, closing as RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.